## erlang-fs-listener 4.1

=== c_src/windows/Makefile ===
ifeq ($(OS),Windows_NT)
        BASE=$(shell cd "$(WINDIR)";pwd -W)
        CSC?=$(shell ls -1d $(BASE)/Microsoft.NET/Framework/v*|sort -rn|head -1)/csc.exe
else
        CSC?=csc
endif

MKDIR_P = mkdir -p

inotifywait.exe: c_src/windows/*.cs
	${MKDIR_P} priv
	$(CSC) //nologo //target:exe //out:priv\\$@ c_src\\windows\\*.cs

clean:
	-rm priv\\inotifywait.exe

=== debian/changelog ===
erlang-fs-listener (4.1-1) unstable; urgency=medium

  * Updated debian/watch
  * New upstream version 4.1

 -- Philipp Huebner <debalance@debian.org>  Sat, 27 Jan 2018 15:06:10 +0100

erlang-fs-listener (2.12.0-4) unstable; urgency=medium

  * Restricted Depends: on inotify-tools to [linux-any]

 -- Philipp Huebner <debalance@debian.org>  Sat, 13 Jan 2018 17:24:17 +0100

erlang-fs-listener (2.12.0-3) unstable; urgency=medium

  * Added upstream patches from 2.12.0 to commit bed9467

 -- Philipp Huebner <debalance@debian.org>  Sat, 13 Jan 2018 13:15:53 +0100

erlang-fs-listener (2.12.0-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:39 +0100

erlang-fs-listener (2.12.0-1) unstable; urgency=medium

  * Initial release (Closes: #882644)

 -- Philipp Huebner <debalance@debian.org>  Sat, 25 Nov 2017 10:00:36 +0100

=== debian/control ===
Source: erlang-fs-listener
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar
Standards-Version: 4.1.3
Homepage: http://synrc.github.io/fs/
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-fs-listener.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-fs-listener

Package: erlang-fs-listener
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends}, ${erlang:Depends},
 inotify-tools [linux-any]
Description: Erlang filesystem listener
 This library implements a filesystem listener for Erlang via inotify-tools.
 It allows one to subscribe to notifications and list events from the backend.
 An API allows for versatile use cases.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-fs-listener


%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl; do \
	        fname=$$(basename $${file}) ; \
	        subdir=$$(dirname $${file}) ; \
	        if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/fs_listener-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
	                install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/fs_listener-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
	                install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/fs_listener-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
	        fi ; \
	done

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-fs-listener_$1.tar.gz/" \
         https://github.com/synrc/fs/releases (?:.*/)?v?(\d\S*)\.tar\.gz
